package io.hmit.common.enums;

import lombok.Getter;

/**
 * @Description : 活动状态枚举类
 * @Author : Shen Yuanfeng
 * @Date : 2021/5/12 15:35
 */

@Getter
public enum EventEnum {
    NEW(0,"未发布（草稿）"),
    SUCCESS(1,"已发布（可报名）"),
    OVER(2,"结束报名"),
    COMPLETE(3,"活动结束"),
    HIDDEN(4,"隐藏"),
    ;

    private Integer code;

    private String msg;

    EventEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
